Skip to main content
GET
/
reports
/
cash-flow
Retrieve cash flow statement
curl --request GET \
  --url https://app.finta.com/api/v1/reports/cash-flow \
  --header 'Authorization: Bearer <token>'
{
  "object": "cash_flow",
  "start_date": "2026-02-01",
  "end_date": "2026-02-28",
  "currency": "USD",
  "operating_activities": {
    "total_cents": 2890000,
    "categories": [
      {
        "category_id": null,
        "name": "Net Income / (Loss)",
        "amount_cents": 3325000,
        "position": 1,
        "parent_category_id": null
      },
      {
        "category_id": "grp_changes_in_working_capital",
        "name": "Changes in Working Capital",
        "amount_cents": -450000,
        "position": 2,
        "parent_category_id": null
      },
      {
        "category_id": "cat_d3m4n5o6p7q8r9",
        "name": "Accounts Receivable",
        "amount_cents": -500000,
        "position": 3,
        "parent_category_id": "grp_changes_in_working_capital"
      },
      {
        "category_id": "cat_e4n5o6p7q8r9s0",
        "name": "Prepaid Expenses",
        "amount_cents": 50000,
        "position": 4,
        "parent_category_id": "grp_changes_in_working_capital"
      },
      {
        "category_id": "cat_h7q8r9s0t1u2v3",
        "name": "Credit Cards",
        "amount_cents": -100000,
        "position": 5,
        "parent_category_id": "grp_changes_in_working_capital"
      },
      {
        "category_id": "cat_q1unearned001",
        "name": "Unearned Revenue",
        "amount_cents": 10000,
        "position": 6,
        "parent_category_id": "grp_changes_in_working_capital"
      },
      {
        "category_id": "cat_i8r9s0t1u2v3w4",
        "name": "Accounts Payable",
        "amount_cents": 90000,
        "position": 7,
        "parent_category_id": "grp_changes_in_working_capital"
      },
      {
        "category_id": "grp_non_cash_expenses",
        "name": "Non-Cash Expenses",
        "amount_cents": 15000,
        "position": 8,
        "parent_category_id": null
      },
      {
        "category_id": "cat_a0j1k2l3m4n5o6",
        "name": "Amortization Expense",
        "amount_cents": 15000,
        "position": 9,
        "parent_category_id": "grp_non_cash_expenses"
      }
    ]
  },
  "investing_activities": {
    "total_cents": -200000,
    "categories": [
      {
        "category_id": "cat_f5o6p7q8r9s0t1",
        "name": "Security Deposit",
        "amount_cents": -200000,
        "position": 1,
        "parent_category_id": null
      }
    ]
  },
  "financing_activities": {
    "total_cents": 0,
    "categories": []
  },
  "beginning_cash_cents": 7110000,
  "ending_cash_cents": 9800000,
  "change_in_cash_cents": 2690000
}

Authorizations

Authorization
string
header
required

API key prefixed with finta_

Query Parameters

start_date
string<date>

Start of the reporting period (YYYY-MM-DD). Defaults to beginning of current quarter.

end_date
string<date>

End of the reporting period (YYYY-MM-DD). Defaults to today.

Response

The cash flow statement

object
enum<string>
required
Available options:
cash_flow
start_date
string<date>
required
Example:

"2026-01-01"

end_date
string<date>
required
Example:

"2026-03-31"

currency
string
required
Example:

"USD"

operating_activities
object
required
investing_activities
object
required
financing_activities
object
required
beginning_cash_cents
integer
required

Cash balance in cents at the start of the period.

Example:

10000000

ending_cash_cents
integer
required

Cash balance in cents at the end of the period.

Example:

14500000

change_in_cash_cents
integer
required

Net change in cash for the period. Equals ending_cash_cents - beginning_cash_cents.

Example:

4500000